<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.10 $
 * $Author: tora60 $
 * $Date: 2009/05/13 21:03:43 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

/* Modulname */
$module_name = 'My_eGallery';
/* Pfad zu den Bildern */
$gallerypath = 'modules/' . $module_name . '/gallery';
/* Block ist cachebar */
$mxblockcache = false;

global $prefix;

$visibility = (MX_IS_USER || MX_IS_ADMIN) ? 1 : 2;
$qry = "SELECT p.pid, p.img, p.name, p.description, c.galloc
        FROM " . $prefix . "_gallery_pictures AS p
        LEFT JOIN " . $prefix . "_gallery_categories AS c
        ON c.gallid=p.gid
        WHERE extension IN('jpg','jpeg','gif','png') AND c.visible>=" . $visibility . "
        ORDER BY RAND() LIMIT 1";
$pic = sql_fetch_assoc(sql_query($qry));

if (empty($pic['description'])) {
    $title = $pic['name'];
} else {
    $title = htmlspecialchars($pic['description']);
}

$img = '';
$file = $gallerypath . '/' . $pic['galloc'] . '/thumb/' . $pic['img'];
if (@realpath($file)) {
    $img = mxCreateImage($file, $title, 0, 'class="margin"');
} else {
    $file = $gallerypath . '/' . $pic['galloc'] . '/' . $pic['img'];
    if (@realpath($file)) {
        $img = mxCreateImage($file, $title, 0, 'width="70" class="margin"');
    }
}

if ($img) {
    $content = '
<div class="align-center">
    <a href="modules.php?name=' . $module_name . '&amp;do=showpic&amp;pid=' . $pic['pid'] . '">' . $img . '</a>
</div>';
}

//    <br /><span class="tiny">' . $pic['name'] . '</span>

?>